<?php

$jscode[] = <<<EOC

Rico.moduleDependencies['checkboxDB'] = ['+LiveGrid', '../ricoTableColumnDB.js'];
Rico.loadModule('checkboxDB');

function einheit_callback(data)
{
  var einheit = document.getElementById('edit_einheit');

  if (!einheit) return false;

  if (data.info[0].einheit.length)
    einheit.innerHTML = data.info[0].einheit;
}

function select_material(obj)
{
  get_info('einheit', {id: obj.options[obj.selectedIndex].value}, einheit_callback);
}

EOC;

$mask = array(
	      'table' => 'einsatz',
	      'title' => 'Materialverbrauch zu Arbeitsberichten',
	      'join' => array('kostenstellen ON einsatz.kostenstelle = kostenstellen.id'),
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'sql' => 'einsatz.id',
					    'visible' => false,
					    ),
			      'datum' => array(
					    'name' => 'Datum',
					    'type' => 'date',
					    'width' => 70,
					    ),
			      'kostenstelle' => array(
					    'name' => 'Kostenstelle',
					    'width' => 230,
					    'sql' => 'kostenstellen.kostenstelle',
					    ),
			      'material' => array(
					    'name' => 'Material',
					    'width' => 70,
					    'control' => "new Rico.TableColumn.checkbox('t','f','0',true)",
					    'sql' => '(SELECT count(*) > 0 FROM materialverbrauch WHERE einsatz = einsatz.id)',
					    'specs' => "ClassName: 'aligncenter', canSort: false",
					    ),
			      ),
	      'rows' => 20,
	      'edit_title' => 'Materialverbrauch vermerken',
	      'edit_table' => 'materialverbrauch',
	      'edit' => array(
			      'einsatz' => array(
					    'name' => 'Einsatz',
					    'type' => 'hidden',
					    'size' => 10,
					    'sql' => 'id',
					    ),
			      'material' => array(
					    'name' => 'Material',
					    'type' => 'select',
					    'options' => 'SELECT id,material AS text FROM materialien ORDER BY text',
					    'onchange' => 'select_material(this)',
					    'sql' => false,
					    ),
			      'menge' => array(
					    'name' => 'Menge',
					    'type' => 'decimal',
					    'size' => 10,
					    'comment' => ' <span id="edit_einheit"></span>',
					    'sql' => false,
					    'required' => true,
					    ),
			      ),
	      'info' => array(
			      'einheit' => array(
					    'sql' => 'SELECT einheiten.einheit FROM einheiten ' .
						     'JOIN materialien ON materialien.einheit = einheiten.id ' .
						     'WHERE materialien.id = {id}',
					    ),
				   ),
	      );

?>
